%define upstream_name    Dist-Zilla-Plugin-Test-DistManifest
%define upstream_version 2.000004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Release tests for the manifest
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::DistManifest)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildConflicts: cpanminus

BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-DistManifestTests < 2.0.0
Provides:   perl-Dist-Zilla-Plugin-DistManifestTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/dist-manifest.t - a standard Test::DistManifest test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 531463
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 2.0.4-1.mga4
+ Revision: 463487
- update to 2.000004

* Fri Jun 07 2013 jquelin <jquelin> 2.0.3-1.mga4
+ Revision: 439091
- update to 2.000003

* Sun Jan 13 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 366465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 2.0.2-1.mga3
+ Revision: 261549
- update to 2.000002

* Mon Sep 26 2011 jquelin <jquelin> 2.0.1-1.mga2
+ Revision: 148557
- update to 2.0.1
- dist renamed upstream

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40400
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-DistManifestTests

